package enum

// UserVirtualAmountFlowTransferType 用户虚拟币流水-类型
type UserVirtualAmountFlowTransferType int

const (
	EggEnergyCommunityDividends UserVirtualAmountFlowTransferType = iota + 1
	EggEnergyWatchAdRewardPersonalActiveCoin
	EggEnergyWatchAdRewardTeamActiveCoin
	EggPointCoinToExchangeToPersonEggEnergy
	EggPointCoinToExchangeToTeamEggEnergy
	PersonEggGetByEnergyEggPointCoin
	TeamEggGetByEnergyEggPointCoin
	TeamEggEnergyReleaseToPersonEggEnergy
	PersonEggGetByTeamEggEnergyRelease
	SettlementStarLevelDividends
	EggEnergyToExchangeToAmount
	EggPointCoinToAliPayRealName
	EggEnergyVideoRewardPersonalActiveCoin
	EggEnergyPlayletRewardPersonalActiveCoin
	EggEnergyWatchAdRewardFansActiveCoin
)

func (kind UserVirtualAmountFlowTransferType) String() string {
	switch kind {
	case EggEnergyCommunityDividends:
		return "蛋蛋能量-社区分红"
	case EggEnergyWatchAdRewardPersonalActiveCoin:
		return "浏览视频" //浏览视频奖励-个人蛋蛋积分
	case EggEnergyWatchAdRewardTeamActiveCoin:
		return "维度奖励" //浏览视频奖励-团队蛋蛋积分
	case EggPointCoinToExchangeToPersonEggEnergy:
		return "个人活跃值兑换"
	case EggPointCoinToExchangeToTeamEggEnergy:
		return "团队活跃值兑换"
	case PersonEggGetByEnergyEggPointCoin:
		return "兑换到个人蛋蛋能量"
	case TeamEggGetByEnergyEggPointCoin:
		return "兑换到团队蛋蛋能量"
	case TeamEggEnergyReleaseToPersonEggEnergy:
		return "团队蛋蛋能量释放"
	case PersonEggGetByTeamEggEnergyRelease:
		return "释放到个人蛋蛋能量"
	case SettlementStarLevelDividends:
		return "星级分红"
	case EggEnergyToExchangeToAmount:
		return "个人蛋蛋能量兑换余额"
	case EggPointCoinToAliPayRealName:
		return "个人蛋蛋积分实名认证"
	case EggEnergyVideoRewardPersonalActiveCoin:
		return "观看短视频" //观看短视频-个人蛋蛋积分
	case EggEnergyPlayletRewardPersonalActiveCoin:
		return "观看短剧" //观看短剧-个人蛋蛋积分
	case EggEnergyWatchAdRewardFansActiveCoin:
		return "粉丝奖励" //浏览视频奖励-直推奖励蛋蛋积分
	default:
		return "未知状态"
	}
}
